Bug 1111575 - (6.x) subnet-match is does not respect 'value' attribute
Summary: (6.x) subnet-match is does not respect 'value' attribute
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR1
: EAP 6.4.0
Assignee: Ivo Studensky
QA Contact: Petr Kremensky
URL:
Whiteboard:
Depends On:
Blocks: 1111578
TreeView+ depends on / blocked
 
Reported: 2014-06-20 12:10 UTC by Ivo Studensky
Modified: 2019-08-19 12:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previous releases of JBoss EAP 6 carried a bug that prevented subnet-match from respecting the `value` attribute. In this release of the product, the issue has been resolved and the `value` attribute works as expected.
Clone Of:
: 1111578 (view as bug list)
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-3478 Major Resolved subnet-match is completely broken 2016-08-30 06:51:28 UTC

Description Ivo Studensky 2014-06-20 12:10:18 UTC
Description of problem:

subnet-match does not respect the value attribute. Instead, it seems to just pick the first interface it finds. No matter what I specify as a value, even if it's a value that's complete nonsense and doesn't match any IP address on my system, e.g.

<interface name="public">
    <subnet-match value="1.2.3.0/24"/>
</interface>

the ports end up bound to the only interface that is currently connected

14:45:16,740 INFO  [stdout] (ServerService Thread Pool -- 40) -------------------------------------------------------------------
14:45:16,740 INFO  [stdout] (ServerService Thread Pool -- 40) GMS: address=normandy/GamingPortal, cluster=GamingPortal, physical address=192.168.1.105:3100
14:45:16,741 INFO  [stdout] (ServerService Thread Pool -- 40) -------------------------------------------------------------------

Comment 2 JBoss JIRA Server 2014-06-26 08:30:55 UTC
Ivo Studensky <istudens@redhat.com> updated the status of jira WFLY-3478 to Reopened

Comment 3 Ivo Studensky 2014-06-26 08:34:33 UTC
PR sent:
https://github.com/jbossas/jboss-eap/pull/1484

Comment 4 JBoss JIRA Server 2014-06-27 04:58:18 UTC
Ivo Studensky <istudens@redhat.com> updated the status of jira WFLY-3478 to Resolved


Note You need to log in before you can comment on or make changes to this bug.